package com.multictrl.modules.business.service;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONObject;
import com.multictrl.common.utils.Result;
import com.multictrl.modules.business.dto.zhimou.DownloadReport;
import com.multictrl.modules.business.dto.zhimou.Osd;
import com.multictrl.modules.business.dto.zhimou.ZhiMouAiStart;
import com.multictrl.modules.business.dto.zhimou.ZhiMouInfo;
import jakarta.servlet.http.HttpServletResponse;

/**
 * 智眸AI接口封装
 *
 * @author Sdy
 * @since 1.0.0 2026/6/9
 */
public interface ZhiMouService {

    //返回处理
    Result<Object> resultHandle(JSONObject result);

    //获取token
    ZhiMouInfo getToken();

    //获取应用列表
    JSONObject getApp();

    //开始AI检测任务
    JSONObject startByWeb(ZhiMouAiStart zhiMouAiStart);

    //停止AI检测任务
    JSONObject stopByWeb(String dockSn);

    //获取AI检测任务
    JSONObject getRunningTaskByWeb(String dockSn);

    //配置ai检测任务
    JSONObject configurationByWeb(Osd osd);

    //获取实时检测结果
    JSONObject currentTaskMessageRecord(String dockSn);

    //获取信息记录
    JSONObject getMessageRecord(String taskId);

    //获取飞行任务检测结果
    JSONArray getTaskMessageRecordList(String taskId);

    //下载AI检测报告
    byte[] downloadReport(DownloadReport downloadReport);

    //获取媒体数量
    Integer getMediaCount(String taskId);

    //是否有AI服务
    boolean hasAiService();
}
